Package uk.co.mccombe.terrain

# Class MissingDataFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.co.mccombe.terrain.MissingDataFileException

All Implemented Interfaces:
  `Serializable`

public class MissingDataFileException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingDataFileException(String msg)`
Constructs an instance of `MissingDataFileException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingDataFileException

public MissingDataFileException(String msg)
Constructs an instance of `MissingDataFileException` with the specified detail message.

Parameters:
  `msg` - the detail message.